Bug 437878 - Missing support for compression file format could be handled better
Missing support for compression file format could be handled better
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 16:50 EDT by Leif Gruenwoldt
Modified: 2010-03-31 21:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-31 21:49:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample .7z file (119 bytes, application/octet-stream)
2010-01-27 10:02 EST, Leif Gruenwoldt
no flags Details

  None (edit)
Description Leif Gruenwoldt 2008-03-17 16:50:38 EDT
Description of problem:

Today I tried to open a 7z file with file-roller. It warned me that the 'Archive
type not supported'. I turned to google to see what linux tools could open a 7z
file. Wikipedia told me that file-roller could indeed handle it. Puzzled, I
thought hmm maybe I'm missing something. I did a "yum search 7zip" and I noticed
there was a package called exactly 7zip so I installed it. I tried to reopen the
7z file in file-roller and it worked. Great!

But, why couldn't the fedora desktop prompt me that i'm missing 7zip support and
ask me if I want to install it? This sounds a whole lot like Codec Buddy but for
compression formats.

Version-Release number of selected component (if applicable):

$ rpm -q file-roller
file-roller-2.20.3-1.fc8

How reproducible:

Very.

Steps to Reproduce:
1. Download a .7z file
2. `yum remove 7zip` (just in case you already have it installed somehow)
3. Try to open the .7z file in file-roller
  
Actual results:

"Achive type not supported". Duh.


Expected results:

"Achive type 7zip not supported. Install neccessary packages? Yes/No"

Additional info:
Comment 1 Leif Gruenwoldt 2008-03-17 16:56:12 EDT
Sorry, `yum remove 7zip` should have read p7zip
Comment 2 Bug Zapper 2008-11-26 05:12:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 07:27:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:05:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Leif Gruenwoldt 2010-01-27 10:02:21 EST
Created attachment 387097 [details]
sample .7z file

Opening with file-roller to receive error message "Archive type not supported."
Comment 6 Leif Gruenwoldt 2010-01-27 10:04:11 EST
Could Package-Kit be used to prompt user to download missing archive type support?
Comment 7 Leif Gruenwoldt 2010-03-31 21:49:11 EDT
Upstream bug report https://bugzilla.gnome.org/show_bug.cgi?id=482560

According to gnome 2.30 release notes this is fixed:

"File Roller will install the necessary packages using PackageKit if an archive you are trying to open does not have the correct archive support installed."

Note You need to log in before you can comment on or make changes to this bug.